- Qt 6.10
- Qt Widgets
- C++ Classes
- QStyleOptionHeaderV2
- Qt 6.10.2 Reference Documentation

# QStyleOptionHeaderV2 Class

The QStyleOptionHeaderV2 class is used to describe the parameters for drawing a header. More...

Header: | `#include <QStyleOptionHeaderV2>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QStyleOptionHeader

- List of all members, including inherited members

## Public Functions

| QStyleOptionHeaderV2()

## Public Variables

bool | isSectionDragTarget
Qt::TextElideMode | textElideMode

## Detailed Description

## Member Function Documentation

### QStyleOptionHeaderV2::QStyleOptionHeaderV2()

Constructs a QStyleOptionHeaderV2, initializing the members variables to their default values.

## Member Variable Documentation

### bool QStyleOptionHeaderV2::isSectionDragTarget

This variable holds whether the section is the location at which a dragged section will be inserted

See also QHeaderView::setSectionsMovable.

### Qt::TextElideMode QStyleOptionHeaderV2::textElideMode

where ellipsis should be added for text that is too long to fit into an item

The default value is Qt::ElideNone.

See also Qt::TextElideMode.